Bug 222600 - New port databases/zabbix34-libzbxpgsql: monitor pgsql servers via zabbix
Summary: New port databases/zabbix34-libzbxpgsql: monitor pgsql servers via zabbix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-25 16:01 UTC by pg
Modified: 2017-10-12 14:04 UTC (History)
3 users (show)

See Also:
martin: maintainer-feedback+


Attachments
zabbix34-libzbxpgsql (1.06 KB, patch)
2017-09-25 16:01 UTC, pg
no flags Details | Diff
shar file for new port (4.35 KB, application/x-shar)
2017-10-09 07:51 UTC, Martin Waschbüsch
martin: maintainer-approval+
Details
poudriere testport logfile for 11.1-RELEASE (amd64) (54.12 KB, text/plain)
2017-10-09 07:53 UTC, Martin Waschbüsch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pg 2017-09-25 16:01:16 UTC
Created attachment 186706 [details]
zabbix34-libzbxpgsql

The libzbxpgsql for zabbix 3.4

This project provides comprehensive monitoring of PostgreSQL servers using a
natively compiled Zabbix agent module, written in C.

The module enables discovery and monitoring of tablespaces, databases,
namespaces, tables, indexes, etc.

WWW: http://cavaliercoder.com/libzbxpgsql/
Comment 1 Danilo G. Baio freebsd_committer 2017-10-08 19:01:10 UTC
Is this running fine with zabbix 3.4? I didn't see any reference in the project's page.

If it's ok, we could bring it in.

CCing martin@waschbuesch.de
Comment 2 Martin Waschbüsch 2017-10-08 21:24:14 UTC
(In reply to Danilo G. Baio from comment #1)

I have not yet upgraded to zabbix 3.4, so it will take me some time to test this.
In the meantime, I asked Ryan, the author of libzbxsql about compatibility. I'll update this as soon as I know more.

Martin
Comment 3 pg 2017-10-09 07:11:42 UTC
I successfully use the libzbxpgsql with zabbix 3.4.
Comment 4 Martin Waschbüsch 2017-10-09 07:13:28 UTC
(In reply to pg from comment #3)
Perfect. Well, in that case, I guess we'll just go ahead and if any bugs should arise, I'll try to sort it out with Ryan.
Comment 5 Martin Waschbüsch 2017-10-09 07:24:41 UTC
I will create a .shar for the new port and test it with poudriere and then Danilo can verify and commit it.
Comment 6 Martin Waschbüsch 2017-10-09 07:51:55 UTC
Created attachment 187018 [details]
shar file for new port
Comment 7 Martin Waschbüsch 2017-10-09 07:53:26 UTC
Created attachment 187019 [details]
poudriere testport logfile for 11.1-RELEASE (amd64)
Comment 8 commit-hook freebsd_committer 2017-10-12 14:03:38 UTC
A commit references this bug:

Author: dbaio
Date: Thu Oct 12 14:02:39 UTC 2017
New revision: 451879
URL: https://svnweb.freebsd.org/changeset/ports/451879

Log:
  New port databases/zabbix34-libzbxpgsql: PostgreSQL monitoring module for zabbix34-agent

  This project provides comprehensive monitoring of PostgreSQL servers using a
  natively compiled Zabbix agent module, written in C.

  The module enables discovery and monitoring of tablespaces, databases,
  namespaces, tables, indexes, etc.

  WWW: http://cavaliercoder.com/libzbxpgsql/

  databases/zabbix32-libzbxpgsql -> databases/zabbix34-libzbxpgsql

  PR:		222600
  Submitted by:	pg@pakhom.spb.ru
  Approved by:	Martin Waschb?sch <martin@waschbuesch.de> (maintainer)

Changes:
  head/databases/Makefile
  head/databases/zabbix34-libzbxpgsql/
  head/databases/zabbix34-libzbxpgsql/Makefile
Comment 9 Danilo G. Baio freebsd_committer 2017-10-12 14:04:31 UTC
Committed, thanks!